Subject: bug#51252: closed (Re: bug#52268: [PATCH core-updates-frozen] gnu: Add texlive-latex-luatex.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 05 Dec 2021 18:09:13 +0000

Your bug report

#51252: [core-updates-frozen] lualatex needs additional setup

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
51252: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=51252
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#52268: [PATCH core-updates-frozen] gnu: Add texlive-latex-luatex.
From: Ludovic Courtès <[email-masked]>
To: Thiago Jung Bauermann <[email-masked]>
Cc: Ricardo Wurmus <[email-masked]>, John Kehayias <[email-masked]>, [email-masked], Robin Templeton <[email-masked]>, [email-masked]
Date: Sun, 05 Dec 2021 16:40:33 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Thiago Jung Bauermann <[email-masked]> skribis:

> When TeX Live was updated to version 2021 the ‘lualatex’ format started
> being generated with the LuaHBTeX engine, but the ‘lualatex’ command still
> uses the LuaTeX engine. This causes the command to fail:
>
>   user@popigai:~$ lualatex hello.tex
>   This is LuaTeX, Version 1.13.0 (TeX Live 2021/GNU Guix)
>   restricted system commands enabled.
>
>   ---! lualatex.fmt was written by luahbtex
>   (Fatal format file error; I'm stymied)user@popigai:~$
>
> The correct way to fix this problem would be either to change texlive-bin
> to make ‘lualatex’ use the LuaHBTeX engine, or to change texlive-latex-base
> to generate ‘lualatex.fmt’ with LuaTeX. Both options would rebuild large
> parts of the world.
>
> Ricardo Wurmus suggested creating a new package to provide ‘lualatex.fmt’
> for LuaTeX as a workaround. This is what this package does.
>
> Fixes https://issues.guix.gnu.org/51252.
>
> * gnu/packages/tex.scm (texlive-latex-luatex): New variable.

Applied, thanks!

I don’t fully understand the issue but it looks like a reasonable and
non-intrusive fix.

Ludo’.

Subject: [core-updates-frozen] lualatex needs additional setup
From: John Kehayias <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Sun, 17 Oct 2021 15:25:11 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

This is my first time trying out TeX on Guix, but ran into a problem trying to run lualatex on core-updates-frozen. Since I wasn't sure what I needed, I tried the huge full texlive package in case that solved the problem I was seeing. It did not.

Running lualatex on anything gives the output

This is LuaTeX, Version 1.13.0 (TeX Live 2021/GNU Guix)
 restricted system commands enabled.

kpathsea: Running mktexfmt lualatex.fmt
/gnu/store/cpflshy9z2yzd8dybm0j9a7i0bscpxa2-texlive-bin-20210325/share/texmf-dist/scripts/texlive/fmtutil.pl: Unexpected non-option argument(s): lualatex.fmt
Try "fmtutil --help" for more information.
I can't find the format file `lualatex.fmt'!

xelatex on the same file and environment worked fine. After some digging, I could get the lualatex.fmt file by installing texlive-tex-ini-files and running

lualatex -ini /gnu/store/skznnf2n2f4dwg44gm8bvcn78157z69p-texlive-tex-ini-files-59745/share/texmf-dist/tex/generic/tex-ini-files/lualatex.ini

With this lualatex.fmt file present, lualatex runs and produces the correct output. I'm guessing this is not the expected procedure, though I haven't been able to test on master to compare yet. I wasn't sure if I missed a texlive- package, but xelatex working as is makes me think not.

John